import { Entity } from '@loopback/repository';
/**
 * Abstract base class for all soft-delete enabled models
 *
 * @description
 * Base class for all soft-delete enabled models created.
 * It adds three attributes to the model class for handling soft-delete,
 * namely, 'deleted', deletedOn, deletedBy
 * Its an abstract class so no repository class should be based on this.
 */
export declare abstract class SoftDeleteEntity extends Entity {
    deleted?: boolean;
    deletedOn?: Date;
    deletedBy?: string;
    constructor(data?: Partial<SoftDeleteEntity>);
}
