"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JwtSpecEnhancerService = exports.SECURITY_SCHEME_SPEC = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const rest_1 = require("@loopback/rest");
const debug_1 = tslib_1.__importDefault(require("debug"));
const util_1 = require("util");
const debug = (0, debug_1.default)('loopback:jwt-extension:spec-enhancer');
exports.SECURITY_SCHEME_SPEC = {
    jwt: {
        type: 'http',
        scheme: 'bearer',
        bearerFormat: 'JWT',
    },
};
let JwtSpecEnhancerService = class JwtSpecEnhancerService {
    constructor() {
        this.name = 'bearerAuth';
    }
    modifySpec(spec) {
        const patchSpec = {
            components: {
                securitySchemes: exports.SECURITY_SCHEME_SPEC,
            },
            security: [],
        };
        const mergedSpec = (0, rest_1.mergeOpenAPISpec)(spec, patchSpec);
        debug(`security spec extension, merged spec: ${(0, util_1.inspect)(mergedSpec)}`);
        return mergedSpec;
    }
};
JwtSpecEnhancerService = tslib_1.__decorate([
    (0, core_1.injectable)({ scope: core_1.BindingScope.TRANSIENT })
], JwtSpecEnhancerService);
exports.JwtSpecEnhancerService = JwtSpecEnhancerService;
//# sourceMappingURL=jwt-spec-enhancer.service.js.map